# Uses of Interface
org.eclipse.birt.chart.model.attribute.ExtendedProperty

Packages that use ExtendedProperty
Package
Description
org.eclipse.birt.chart.model
Contains the chart model interfaces that define the starting point for creating a new chart.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.impl
Represents the chart model implementation classes that define the starting point for creating a new chart.

## Uses of ExtendedProperty in org.eclipse.birt.chart.model

Methods in org.eclipse.birt.chart.model that return types with arguments of type ExtendedProperty
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<ExtendedProperty>`
Chart.`getExtendedProperties()`
Returns the value of the 'Extended Properties' containment reference list.
Method parameters in org.eclipse.birt.chart.model with type arguments of type ExtendedProperty
Modifier and Type
Method
Description
`void`
IChartModelHelper.`updateExtendedProperties(org.eclipse.emf.common.util.EList<ExtendedProperty> properties)`
Updates extended properties during model and UI initialization

## Uses of ExtendedProperty in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return ExtendedProperty
Modifier and Type
Method
Description
`ExtendedProperty`
ExtendedProperty.`copyInstance()`
`ExtendedProperty`
AttributeFactory.`createExtendedProperty()`
Returns a new object of class 'Extended Property'.

## Uses of ExtendedProperty in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement ExtendedProperty
Modifier and Type
Class
Description
`class`
`ExtendedPropertyImpl`
An implementation of the model object ' Extended Property'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return ExtendedProperty
Modifier and Type
Method
Description
`ExtendedProperty`
ExtendedPropertyImpl.`copyInstance()`
`ExtendedProperty`
AttributeFactoryImpl.`createExtendedProperty()`

## Uses of ExtendedProperty in org.eclipse.birt.chart.model.impl

Methods in org.eclipse.birt.chart.model.impl that return types with arguments of type ExtendedProperty
Modifier and Type
Method
Description
`org.eclipse.emf.common.util.EList<ExtendedProperty>`
ChartImpl.`getExtendedProperties()`
Method parameters in org.eclipse.birt.chart.model.impl with type arguments of type ExtendedProperty
Modifier and Type
Method
Description
`void`
ChartModelHelper.`updateExtendedProperties(org.eclipse.emf.common.util.EList<ExtendedProperty> properties)`